Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » Cannot import device
Cannot import device [message #31628] Thu, 02 July 2009 12:32 Go to next message
riw Missing name is currently offline riw Missing nameFriend
Messages: 6
Registered: July 2009
Junior Member
I've used EclipseME in the past with Eclipse 3.4 and with those versions I
was able to program for a Siemens TC65T. I decided to give Eclipse 3.5 a
try with MJT 1.0. Everything installed fine. I tried to import the Siemens
WTK, the one that worked with my previous setup, but it fails to find any
device. What can I do to figure out what is wrong and how can I fix it?
Re: Cannot import device [message #31699 is a reply to message #31628] Thu, 02 July 2009 17:21 Go to previous messageGo to next message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
mtj can import any UEI compliant SDK. maybe this sdk that you mention is
no UEI compliant. can you send a link to where we can download this sdk?

i remember that an old eclipseme version has a specific handling to a
siemens sdk, but i think that this was removed later from eclipseme itself
and then from mtj.

if you can send the link we can at least investigate to see if there is
problem with it

:)
gep
Re: Cannot import device [message #31739 is a reply to message #31699] Thu, 02 July 2009 20:25 Go to previous messageGo to next message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
I couldn't load devices from SMTK with MTJ too.
I've used SMTK from here http://www.siemens-club.ru/soft-emul.php
First of all I've installed
http://download.siemens-club.ru/files/smtk/smtk_2_00_3b.exe and then
http://download.siemens-club.ru/files/smtk/S65_11_119_41.exe and
http://download.siemens-club.ru/files/smtk/S65_11_119_41_pat ch.exe
Problem is MTJ doesn't see any devices in SMTK directory at all.
Pls, fix this problem or, at least, advice your SMTK version which is
compatible with MTJ
Re: Cannot import device [message #31773 is a reply to message #31739] Fri, 03 July 2009 20:40 Go to previous messageGo to next message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
Hi Andrey,

is the SMTK an official Siemens SDK??

Thanks
Re: Cannot import device [message #31808 is a reply to message #31773] Sat, 04 July 2009 16:10 Go to previous messageGo to next message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
Sure.
SMTK is Siemens Mobile ToolKit for 6x series and MTK for 7x series mobile
phones. Also see this
http://www.eclipse.org/dsdp/mtj/development/tutorial/support ed.php
Re: Cannot import device [message #31842 is a reply to message #31699] Mon, 06 July 2009 08:21 Go to previous messageGo to next message
riw Missing name is currently offline riw Missing nameFriend
Messages: 6
Registered: July 2009
Junior Member
I've been trying to find a link to the SMTK I have. I have been unable to
find it. I've also not been able to find the version number. All I can
tell you is that it came on the CD that came with my TC65T. The CD refers
to it as "Siemens Mobility Toolkit (SMTK) for Java(TM) enabled
GSM/GPRS-module". I hope this helps.
Re: Cannot import device [message #31975 is a reply to message #31808] Thu, 09 July 2009 13:20 Go to previous messageGo to next message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
hi guys,

i just did some investigation on this sdk. This SDK is not UEI compliant.
thats why it is not imported on MTJ. Eclipse 1.5.0 used to support it, but
the support was removed on later version, since new siemens SDKs were
already UEI compliant.

we raised the issue on MTJ developers list to see if anyone is interested
to add this sdk support to MTJ.

in the meantime, i assume that the only way to use it is to go back to
eclipseme 1.5

:)
gep


PS.: that URL with the list of supported sdks is quite old and need to be
updated. sorry for the confusion. MTJ supports: UEI compliant SDKs (nokia
seria 40, motorola, sonyercisson, samsung, sprint, wtk) and javase based
sdks (microemu and mpowser player).
Re: Cannot import device [message #32010 is a reply to message #31975] Fri, 10 July 2009 06:32 Go to previous messageGo to next message
riw Missing name is currently offline riw Missing nameFriend
Messages: 6
Registered: July 2009
Junior Member
I have currently installed Eclipse 3.5 with EclipseME 1.7.9 and it works
(as far as I can tell).
Re: Cannot import device [message #32045 is a reply to message #31975] Fri, 10 July 2009 21:26 Go to previous messageGo to next message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
Thanks for answer ;(
And what SMTK versions does MTJ support? Probably, I'll be use one of
correctly supported SMTK version...
Re: Cannot import device [message #32251 is a reply to message #32045] Mon, 13 July 2009 14:10 Go to previous messageGo to next message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
MTJ will support any version that is UEI compliant. i really don't know
which siemens sdk is UEI compliant :( sorry for answer.

if you really need to use then probably the only way to do it now is to go
back to eclipseme.

:)
gep

Andrey wrote:

> Thanks for answer ;(
> And what SMTK versions does MTJ support? Probably, I'll be use one of
> correctly supported SMTK version...
Re: Cannot import device [message #467854 is a reply to message #32251] Mon, 03 August 2009 08:06 Go to previous messageGo to next message
david chen is currently offline david chenFriend
Messages: 4
Registered: July 2009
Junior Member
Can anyone tell me of the S60 3rd edition SDK with FP1 is compatible with
MTJ 1.0?

I'm having trouble importing that device. I need that device because it
is the only one that I know (someone please let me know if there are
others) that works with eclipse and plays MP3 files.
Re: Cannot import device [message #468063 is a reply to message #467854] Mon, 03 August 2009 21:11 Go to previous messageGo to next message
Gorkem Ercan is currently offline Gorkem ErcanFriend
Messages: 61
Registered: July 2009
Member
S60 FP1 SDK is a bit problematic at the moment. See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=278171 for details

david chen wrote:
> Can anyone tell me of the S60 3rd edition SDK with FP1 is compatible
> with MTJ 1.0?
>
> I'm having trouble importing that device. I need that device because it
> is the only one that I know (someone please let me know if there are
> others) that works with eclipse and plays MP3 files.
>
>
>
>
Re: Cannot import device [message #468433 is a reply to message #468063] Wed, 05 August 2009 14:18 Go to previous messageGo to next message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
I've sent a patch with a possible solution for importing this SDK, but i
need someone to test it before i commit to SVN.
Re: Cannot import device [message #480076 is a reply to message #468433] Thu, 13 August 2009 17:08 Go to previous messageGo to next message
Pippo Cattaneo is currently offline Pippo CattaneoFriend
Messages: 2
Registered: August 2009
Junior Member

I was trying to apply your patches ... unfortunately on the last release (1393 ???) some packages havebeen moved and the whole project org.eclipse.mtj.toolkit.nokia is empty.

If you send me the jar files I would be happy to test your patches.

cheers.
Re: Cannot import device [message #480086 is a reply to message #480076] Thu, 13 August 2009 18:03 Go to previous messageGo to next message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
I fixed the problems in the repository. I believe you may now be able to
apply the patch.

Regards
Diego
Re: Cannot import device [message #480584 is a reply to message #480086] Mon, 17 August 2009 18:05 Go to previous message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
The patch was integrated. The fix was not the best solution, but it works.
We have some problems when trying to run the emulator that will be fixed
on bug 273720 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=273720)

Thanks
Re: Cannot import device [message #574374 is a reply to message #31628] Thu, 02 July 2009 17:21 Go to previous message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
mtj can import any UEI compliant SDK. maybe this sdk that you mention is
no UEI compliant. can you send a link to where we can download this sdk?

i remember that an old eclipseme version has a specific handling to a
siemens sdk, but i think that this was removed later from eclipseme itself
and then from mtj.

if you can send the link we can at least investigate to see if there is
problem with it

:)
gep
Re: Cannot import device [message #574400 is a reply to message #31699] Thu, 02 July 2009 20:25 Go to previous message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
I couldn't load devices from SMTK with MTJ too.
I've used SMTK from here http://www.siemens-club.ru/soft-emul.php
First of all I've installed
http://download.siemens-club.ru/files/smtk/smtk_2_00_3b.exe and then
http://download.siemens-club.ru/files/smtk/S65_11_119_41.exe and
http://download.siemens-club.ru/files/smtk/S65_11_119_41_pat ch.exe
Problem is MTJ doesn't see any devices in SMTK directory at all.
Pls, fix this problem or, at least, advice your SMTK version which is
compatible with MTJ
Re: Cannot import device [message #574424 is a reply to message #31739] Fri, 03 July 2009 20:40 Go to previous message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
Hi Andrey,

is the SMTK an official Siemens SDK??

Thanks
Re: Cannot import device [message #574446 is a reply to message #31773] Sat, 04 July 2009 16:10 Go to previous message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
Sure.
SMTK is Siemens Mobile ToolKit for 6x series and MTK for 7x series mobile
phones. Also see this
http://www.eclipse.org/dsdp/mtj/development/tutorial/support ed.php
Re: Cannot import device [message #574473 is a reply to message #31699] Mon, 06 July 2009 08:21 Go to previous message
riw Missing name is currently offline riw Missing nameFriend
Messages: 6
Registered: July 2009
Junior Member
I've been trying to find a link to the SMTK I have. I have been unable to
find it. I've also not been able to find the version number. All I can
tell you is that it came on the CD that came with my TC65T. The CD refers
to it as "Siemens Mobility Toolkit (SMTK) for Java(TM) enabled
GSM/GPRS-module". I hope this helps.
Re: Cannot import device [message #574563 is a reply to message #31808] Thu, 09 July 2009 13:20 Go to previous message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
hi guys,

i just did some investigation on this sdk. This SDK is not UEI compliant.
thats why it is not imported on MTJ. Eclipse 1.5.0 used to support it, but
the support was removed on later version, since new siemens SDKs were
already UEI compliant.

we raised the issue on MTJ developers list to see if anyone is interested
to add this sdk support to MTJ.

in the meantime, i assume that the only way to use it is to go back to
eclipseme 1.5

:)
gep


PS.: that URL with the list of supported sdks is quite old and need to be
updated. sorry for the confusion. MTJ supports: UEI compliant SDKs (nokia
seria 40, motorola, sonyercisson, samsung, sprint, wtk) and javase based
sdks (microemu and mpowser player).
Re: Cannot import device [message #574577 is a reply to message #31975] Fri, 10 July 2009 06:32 Go to previous message
riw Missing name is currently offline riw Missing nameFriend
Messages: 6
Registered: July 2009
Junior Member
I have currently installed Eclipse 3.5 with EclipseME 1.7.9 and it works
(as far as I can tell).
Re: Cannot import device [message #574596 is a reply to message #31975] Fri, 10 July 2009 21:26 Go to previous message
Andrey is currently offline AndreyFriend
Messages: 52
Registered: July 2009
Member
Thanks for answer ;(
And what SMTK versions does MTJ support? Probably, I'll be use one of
correctly supported SMTK version...
Re: Cannot import device [message #574755 is a reply to message #32045] Mon, 13 July 2009 14:10 Go to previous message
Gustavo de Paula is currently offline Gustavo de PaulaFriend
Messages: 118
Registered: July 2009
Senior Member
MTJ will support any version that is UEI compliant. i really don't know
which siemens sdk is UEI compliant :( sorry for answer.

if you really need to use then probably the only way to do it now is to go
back to eclipseme.

:)
gep

Andrey wrote:

> Thanks for answer ;(
> And what SMTK versions does MTJ support? Probably, I'll be use one of
> correctly supported SMTK version...
Re: Cannot import device [message #575484 is a reply to message #32251] Mon, 03 August 2009 08:06 Go to previous message
david chen is currently offline david chenFriend
Messages: 4
Registered: July 2009
Junior Member
Can anyone tell me of the S60 3rd edition SDK with FP1 is compatible with
MTJ 1.0?

I'm having trouble importing that device. I need that device because it
is the only one that I know (someone please let me know if there are
others) that works with eclipse and plays MP3 files.
Re: Cannot import device [message #575599 is a reply to message #467854] Mon, 03 August 2009 21:11 Go to previous message
Gorkem Ercan is currently offline Gorkem ErcanFriend
Messages: 61
Registered: July 2009
Member
S60 FP1 SDK is a bit problematic at the moment. See
https://bugs.eclipse.org/bugs/show_bug.cgi?id=278171 for details

david chen wrote:
> Can anyone tell me of the S60 3rd edition SDK with FP1 is compatible
> with MTJ 1.0?
>
> I'm having trouble importing that device. I need that device because it
> is the only one that I know (someone please let me know if there are
> others) that works with eclipse and plays MP3 files.
>
>
>
>
Re: Cannot import device [message #575649 is a reply to message #468063] Wed, 05 August 2009 14:18 Go to previous message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
I've sent a patch with a possible solution for importing this SDK, but i
need someone to test it before i commit to SVN.
Re: Cannot import device [message #575727 is a reply to message #468433] Thu, 13 August 2009 17:08 Go to previous message
Pippo Cattaneo is currently offline Pippo CattaneoFriend
Messages: 2
Registered: August 2009
Junior Member
I was trying to apply your patches ... unfortunately on the last release (1393 ???) some packages havebeen moved and the whole project org.eclipse.mtj.toolkit.nokia is empty.

If you send me the jar files I would be happy to test your patches.

cheers.
Re: Cannot import device [message #575747 is a reply to message #575727] Thu, 13 August 2009 18:03 Go to previous message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
I fixed the problems in the repository. I believe you may now be able to
apply the patch.

Regards
Diego
Re: Cannot import device [message #575815 is a reply to message #480086] Mon, 17 August 2009 18:05 Go to previous message
Diego Madruga Sandin is currently offline Diego Madruga SandinFriend
Messages: 116
Registered: July 2009
Senior Member
The patch was integrated. The fix was not the best solution, but it works.
We have some problems when trying to run the emulator that will be fixed
on bug 273720 (https://bugs.eclipse.org/bugs/show_bug.cgi?id=273720)

Thanks
Previous Topic:MIDP Emulator is empty
Next Topic:Avoid showing errors in editor that are caused because of preprocessed directives
Goto Forum:
  


Current Time: Fri Nov 28 23:22:42 GMT 2014

Powered by FUDForum. Page generated in 0.08621 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software